summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-04-29 21:32:37 +0000
committer Eric Hameleers <alien@slackware.com>2024-04-30 00:20:38 +0200
commit93207ebf6e7becbc07e4c32c55793a8acdbce2be (patch)
tree8820a81910e829b5925a4d36446e64052f544c32 /source
parent4fb89f039d3dd0ba075ef463a415e355bf512059 (diff)
downloadcurrent-93207ebf6e7becbc07e4c32c55793a8acdbce2be.tar.gz
current-93207ebf6e7becbc07e4c32c55793a8acdbce2be.tar.xz
Mon Apr 29 21:32:37 UTC 202420240429213237
a/aaa_libraries-15.1-x86_64-31.txz: Rebuilt. Added: libncurses++w.so.6.5, libtic.so.6.5. Upgraded: libformw.so.6.5, libmenuw.so.6.5, libncursesw.so.6.5, libpanelw.so.6.5, libtinfo.so.6.5. Removed (with compat symlinks made): libform.so.6.4, libmenu.so.6.4, libncurses.so.6.4, libpanel.so.6.4. a/aaa_terminfo-6.5-x86_64-1.txz: Upgraded. l/ncurses-6.5-x86_64-1.txz: Upgraded. This seemed like a good opportunity to go over my notes and try to make this SlackBuild at least defensible, if not correct. :-) The non-wide libraries have all been purged and replaced with compatibility symlinks pointing to the wide versions. Anything trying to use -lncurses (etc) will be redirected to -lncursesw (etc) at compile time. Looks like nearly 50 packages are linked to the non-wide libraries, but everything works this way. Thanks to GazL who provided most of the suggestions used. l/python-pyproject-hooks-1.1.0-x86_64-1.txz: Upgraded. n/lynx-2.9.1-x86_64-1.txz: Upgraded. x/xconsole-1.1.0-x86_64-1.txz: Upgraded. xap/mozilla-firefox-125.0.3-x86_64-1.txz: Upgraded. This is a bugfix release. For more information, see: https://www.mozilla.org/en-US/firefox/125.0.3/releasenotes/
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/aaa_libraries/aaa_libraries.SlackBuild12
-rw-r--r--source/a/aaa_libraries/symlinks-to-tracked-libs12
-rwxr-xr-xsource/l/ncurses/aaa_terminfo.SlackBuild1
-rwxr-xr-xsource/l/ncurses/ncurses.SlackBuild123
-rw-r--r--source/l/ncurses/ncurses.mkhashsize.diff11
-rwxr-xr-xsource/l/python-pyproject-hooks/python-pyproject-hooks.SlackBuild2
-rwxr-xr-xsource/n/lynx/lynx.SlackBuild4
7 files changed, 77 insertions, 88 deletions
diff --git a/source/a/aaa_libraries/aaa_libraries.SlackBuild b/source/a/aaa_libraries/aaa_libraries.SlackBuild
index 3d1cc496b..6e6bd5df4 100755
--- a/source/a/aaa_libraries/aaa_libraries.SlackBuild
+++ b/source/a/aaa_libraries/aaa_libraries.SlackBuild
@@ -23,7 +23,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=aaa_libraries
VERSION=${VERSION:-15.1}
-BUILD=${BUILD:-30}
+BUILD=${BUILD:-31}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -142,6 +142,16 @@ chmod 755 $PKG/lib${LIBDIRSUFFIX}/lib*.so.* $PKG/usr/lib${LIBDIRSUFFIX}/lib*.so.
# installpkg will create them if needed by running ldconfig.
find $PKG -type l -exec rm --verbose "{}" \+
+# Time to ask for trouble. We should add a few compatibility symlinks for the
+# non-wide ncurses libraries, and for the now built-in tic/tinfo:
+( cd $PKG/lib${LIBDIRSUFFIX}
+ ln -sf libformw.so.6 libform.so.6
+ ln -sf libmenuw.so.6 libmenu.so.6
+ ln -sf libncurses++w.so.6 libncurses++.so.6
+ ln -sf libncursesw.so.6 libncurses.so.6
+ ln -sf libpanelw.so.6 libpanel.so.6
+)
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
diff --git a/source/a/aaa_libraries/symlinks-to-tracked-libs b/source/a/aaa_libraries/symlinks-to-tracked-libs
index 9ee542272..5895b029b 100644
--- a/source/a/aaa_libraries/symlinks-to-tracked-libs
+++ b/source/a/aaa_libraries/symlinks-to-tracked-libs
@@ -9,6 +9,7 @@
/lib/libcap.so.2
/lib/libdm.so.0
/lib/libelf.so.1
+/lib/libformw.so.6
/lib/libfuse.so.2
/lib/libgpm.so.2
/lib/libkeyutils.so.1
@@ -17,12 +18,14 @@
/lib/libk5crypto.so.3
/lib/libgssapi_krb5.so.2
/lib/liblzma.so.5
+/lib/libmenuw.so.6
/lib/libncurses.so.5
-/lib/libncurses.so.6
/lib/libncursesw.so.5
/lib/libncursesw.so.6
+/lib/libncurses++w.so.6
/lib/libnsl.so.2
/lib/libnsl.so.3
+/lib/libpanelw.so.6
/lib/libpcre.so.1
/lib/libpcre2-8.so.0
/lib/libpcreposix.so.0
@@ -30,6 +33,7 @@
/lib/libsigsegv.so.2
/lib/libsysfs.so.2
/lib/libtermcap.so.2
+/lib/libtic.so.6
/lib/libtinfo.so.6
/lib/libtirpc.so.3
/lib/libudev.so.1
@@ -42,9 +46,7 @@
/usr/lib/libexpat.so.1
/usr/lib/libffi.so.8
/usr/lib/libform.so.5
-/usr/lib/libform.so.6
/usr/lib/libformw.so.5
-/usr/lib/libformw.so.6
/usr/lib/libgdbm.so.4
/usr/lib/libgdbm.so.6
/usr/lib/libglib-2.0.so.0
@@ -64,14 +66,10 @@
/usr/lib/libldap.so.2
/usr/lib/libltdl.so.7
/usr/lib/libmenu.so.5
-/usr/lib/libmenu.so.6
/usr/lib/libmenuw.so.5
-/usr/lib/libmenuw.so.6
/usr/lib/libmm.so.14
/usr/lib/libpanel.so.5
-/usr/lib/libpanel.so.6
/usr/lib/libpanelw.so.5
-/usr/lib/libpanelw.so.6
/usr/lib/libpng14.so.14
/usr/lib/libpng16.so.16
/usr/lib/libpsl.so.5
diff --git a/source/l/ncurses/aaa_terminfo.SlackBuild b/source/l/ncurses/aaa_terminfo.SlackBuild
index 44ac1fc13..e3588eb8f 100755
--- a/source/l/ncurses/aaa_terminfo.SlackBuild
+++ b/source/l/ncurses/aaa_terminfo.SlackBuild
@@ -102,4 +102,3 @@ cat $CWD/slack-desc.aaa_terminfo > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/l/ncurses/ncurses.SlackBuild b/source/l/ncurses/ncurses.SlackBuild
index 8f561baaa..ae7e0e2e4 100755
--- a/source/l/ncurses/ncurses.SlackBuild
+++ b/source/l/ncurses/ncurses.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2000-2011, 2013, 2014, 2015, 2016, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2000-2011, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -64,22 +64,32 @@ else
LIBDIRSUFFIX=""
fi
-ncurses_configure() {
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf ncurses-$VERSION
+tar xvf $CWD/ncurses-$VERSION.tar.?z || exit 1
+cd ncurses-$VERSION || exit 1
+chown -R root:root .
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
+ --with-manpage-format=normal \
+ --enable-widec \
--enable-colorfgbg \
--enable-hard-tabs \
--enable-overwrite \
--enable-xmc-glitch \
+ --with-cxx-binding \
--with-cxx-shared \
- --with-ospeed=unsigned \
+ --with-shared \
+ --with-versioned-syms \
--with-termlib=tinfo \
--with-ticlib=tic \
- --with-gpm \
- --with-shared \
--without-debug \
--without-normal \
--without-profile \
@@ -87,46 +97,10 @@ CFLAGS="$SLKCFLAGS" \
--enable-pc-files \
--with-pkg-config-libdir=/usr/lib${LIBDIRSUFFIX}/pkgconfig \
--without-ada \
- $X86_64OPTS \
--program-suffix="" \
--program-prefix="" \
- $WIDEC \
- --build=$ARCH-slackware-linux
-}
+ --build=$ARCH-slackware-linux || exit 1
-rm -rf $PKG
-mkdir -p $TMP $PKG
-
-cd $TMP
-rm -rf ncurses-$VERSION
-tar xvf $CWD/ncurses-$VERSION.tar.?z || exit 1
-cd ncurses-$VERSION || exit 1
-chown -R root:root .
-
-## NOTE: nevermind trying this... patches have multiple failures. Use the
-## dated archive from upstream instead.
-#
-### No rollup (*.patch.sh) patch available yet for ncurses-6.1, so we'll
-### comment this out for now.
-## Apply upstream patch collection:
-#xzcat $CWD/ncurses-6.0-20160910-patch.sh.xz > ncurses-6.0-20160910-patch.sh
-#sh ncurses-6.0-20160910-patch.sh
-## Apply weekly ncurses patch updates:
-#for file in $CWD/patches/*.patch.gz ; do
-# zcat $file | patch -p1 --verbose || exit 1
-#done
-
-zcat $CWD/ncurses.mkhashsize.diff.gz | patch -p1 --verbose || exit 1
-
-# Configure/build/install to package the standard ncurses libraries:
-ncurses_configure || exit 1
-make $NUMJOBS || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Configure/build/install again with wide character support:
-make clean
-WIDEC=--enable-widec
-ncurses_configure || exit 1
make $NUMJOBS || exit 1
make install DESTDIR=$PKG || exit 1
@@ -152,32 +126,38 @@ cp -a misc/termcap $PKG/etc/termcap
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-# Move the include files from /usr/include into /usr/include/ncurses,
-# then make symlinks back into /usr/include.
-( cd $PKG/usr/include
- rm -rf ncurses
- mkdir ncurses
- mv *.h ncurses
- for file in ncurses/* ; do
- ln -sf $file .
+# Move the ncurses libraries into /lib (for no reason basically, because we DO
+# NOT officially support a separate /usr partition):
+mkdir -p $PKG/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ mv lib*.so.?.? lib*.so.? $PKG/lib${LIBDIRSUFFIX}
+ for file in *.so ; do
+ if [ -L $file ]; then
+ rm $file
+ ln -sf ../../lib${LIBDIRSUFFIX}/${file}.? $file
+ fi
done
)
-# Make an ncursesw symlink to /usr/include/ncurses:
-if [ ! -d $PKG/usr/include/ncursesw -a ! -L $PKG/usr/include/ncursesw ]; then
- ( cd $PKG/usr/include ; ln -sf ncurses ncursesw )
-fi
+# Make sure anything requesting the non-wide libraries will be directed to
+# the wide ones:
+for library in form menu ncurses ncurses++ panel ; do
+ # Add a loader script:
+ echo "INPUT(-l${library}w)" > $PKG/usr/lib${LIBDIRSUFFIX}/lib${library}.so
+ # Make a pkg-config file symlink:
+ ln -sf ${library}w.pc $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/${library}.pc
+done
-# Move the ncurses libraries into /lib, since they're important:
-mkdir -p $PKG/lib${LIBDIRSUFFIX}
-( cd $PKG/usr/lib${LIBDIRSUFFIX}
- chmod 755 *.so
- chmod 644 *.a
- mv libncurses.so.6* $PKG/lib${LIBDIRSUFFIX}
- mv libncursesw.so.6* $PKG/lib${LIBDIRSUFFIX}
- mv libtinfo.so.6* $PKG/lib${LIBDIRSUFFIX}
- rm -f libtinfo.so.6
- ln -sf ../../lib${LIBDIRSUFFIX}/libtinfo.so.6 .
+# Support the obsolete:
+echo "INPUT(-ltinfo)" > $PKG/usr/lib${LIBDIRSUFFIX}/libtermcap.so
+
+# In case anything is linked to the non-wide ncurses libraries, make some
+# compatibility symlinks:
+( cd $PKG/lib${LIBDIRSUFFIX}
+ SONAME=$(echo libncursesw.so.? | rev | cut -f 1 -d .)
+ for library in form menu ncurses ncurses++ panel ; do
+ ln -sf lib${library}w.so.$SONAME lib${library}.so.$SONAME
+ done
)
# Use linker loader scripts to make sure -tinfo dependency works:
@@ -190,6 +170,9 @@ mkdir -p $PKG/lib${LIBDIRSUFFIX}
echo "INPUT(-ltinfo)" > libtermcap.so
)
+# NOTE 2024-04-29: I'm not sure these changes are still needed.
+# Maybe GazL knows.
+#
# Use various upstream/fixed/better terminfo files to update the terminfo
# database. Only *.terminfo files in $CWD/terminfo will be used.
export TERMINFO=$PKG/usr/share/terminfo
@@ -200,6 +183,13 @@ for tfile in $CWD/terminfo/*.terminfo ; do
done
unset TERMINFO
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
# Add /usr/doc/ncurses-xxxxx with appropriate files:
mkdir -p $PKG/usr/doc/ncurses-$VERSION
cp -a \
@@ -209,6 +199,10 @@ mkdir -p $PKG/usr/doc/ncurses-$VERSION/c++
cp -a \
c++/NEWS c++/PROBLEMS c++/README-first \
$PKG/usr/doc/ncurses-$VERSION/c++
+mkdir -p $PKG/usr/doc/ncurses-$VERSION/html
+cp -a \
+ doc/html/*.html \
+ $PKG/usr/doc/ncurses-$VERSION/html
# We don't need the log of every change here, but we'll take some.
# If you need the whole thing probably you already extracted the
@@ -230,4 +224,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/ncurses-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
-
diff --git a/source/l/ncurses/ncurses.mkhashsize.diff b/source/l/ncurses/ncurses.mkhashsize.diff
deleted file mode 100644
index 035956da6..000000000
--- a/source/l/ncurses/ncurses.mkhashsize.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./include/MKhashsize.sh.orig 2019-04-22 14:07:41.451003244 -0500
-+++ ./include/MKhashsize.sh 2019-04-22 14:10:09.163003249 -0500
-@@ -35,7 +35,7 @@
- echo " */"
-
- test $# = 0 && set Caps
--TABSIZE=`cat "$@" | grep -v '^[ #]' | grep -v "^$" | grep -v "^capalias"| grep -v "^infoalias" | grep -v "^userdef" | grep -v "^used_by" | wc -l`
-+TABSIZE=$(cat "$@" | grep -v '^[ #]' | grep -v "^$" | grep -v "^capalias"| grep -v "^infoalias" | grep -v "^userdef" | grep -v "^used_by" | wc -l)
-
- echo ""
- echo "#define CAPTABSIZE ${TABSIZE}"
diff --git a/source/l/python-pyproject-hooks/python-pyproject-hooks.SlackBuild b/source/l/python-pyproject-hooks/python-pyproject-hooks.SlackBuild
index 33d7b7572..767831b3a 100755
--- a/source/l/python-pyproject-hooks/python-pyproject-hooks.SlackBuild
+++ b/source/l/python-pyproject-hooks/python-pyproject-hooks.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-pyproject-hooks
VERSION=${VERSION:-$(echo pyproject_hooks-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/n/lynx/lynx.SlackBuild b/source/n/lynx/lynx.SlackBuild
index d9815fd8c..26bbf5e82 100755
--- a/source/n/lynx/lynx.SlackBuild
+++ b/source/n/lynx/lynx.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=lynx
-PKGVER=2.9.0dev.12
-DIRVER=2.9.0dev.12
+PKGVER=2.9.1
+DIRVER=2.9.1
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}